<?xml version="1.0" encoding="utf-8"?>
<Document>
  <Engineering version="V20" />
  <SW.Types.PlcStruct ID="0">
    <AttributeList>
      <Interface><Sections xmlns="http://www.siemens.com/automation/Openness/SW/Interface/v5">
  <Section Name="None">
    <Member Name="bStatus" Datatype="Byte">
      <Comment>
        <MultiLanguageText Lang="de-DE">Standardized status</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="nMode" Datatype="Int">
      <Comment>
        <MultiLanguageText Lang="de-DE">Kamera Triggermodus (Single, Continuous...)</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="nInternalNumber" Datatype="USInt">
      <Comment>
        <MultiLanguageText Lang="de-DE">Interne Nummerierung</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="sUnit" Datatype="String[20]">
      <Comment>
        <MultiLanguageText Lang="de-DE">Kamera Bezeichnung (z.B. DM262-9FC5D4)</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="sLocation" Datatype="String[30]">
      <Comment>
        <MultiLanguageText Lang="de-DE">Standort</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="sIpAdress" Datatype="String[20]">
      <Comment>
        <MultiLanguageText Lang="de-DE">IP-Adresse</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="rThreshold" Datatype="Real">
      <Comment>
        <MultiLanguageText Lang="de-DE">Schwellwert um die Lesequalität zu bewerten (z.B. 99 [%])</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="stBRInterface" Datatype="&quot;stHMI_BRCognexDM&quot;">
      <Comment>
        <MultiLanguageText Lang="de-DE">Schnittstelle Kamera Baustein</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="nNumberScans" Datatype="UDInt">
      <Comment>
        <MultiLanguageText Lang="de-DE">Anzahl Scans</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="nNumberNoReads" Datatype="UDInt">
      <Comment>
        <MultiLanguageText Lang="de-DE">Anzahl No-Read</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="nNoReadPercentage" Datatype="USInt">
      <Comment>
        <MultiLanguageText Lang="de-DE">No-Read in Prozent</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="tLastBarcodeRecv" Datatype="DTL" Version="1.0">
      <Comment>
        <MultiLanguageText Lang="de-DE">Letzter Barcode empfangen </MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="tLastNoReadRecv" Datatype="DTL" Version="1.0">
      <Comment>
        <MultiLanguageText Lang="de-DE">Letzter No-Read empfangen </MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="tLastReset" Datatype="DTL" Version="1.0">
      <Comment>
        <MultiLanguageText Lang="de-DE">Letzter Reset</MultiLanguageText>
      </Comment>
    </Member>
    <Member Name="xResetStatistics" Datatype="Bool">
      <Comment>
        <MultiLanguageText Lang="de-DE">Alle Statistiken rücksetzen</MultiLanguageText>
      </Comment>
    </Member>
  </Section>
</Sections></Interface>
      <Name>UDT_BarcodeReader</Name>
      <Namespace />
    </AttributeList>
    <ObjectList>
      <MultilingualText ID="1" CompositionName="Comment">
        <ObjectList>
          <MultilingualTextItem ID="2" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="3" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="4" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
      <MultilingualText ID="5" CompositionName="Title">
        <ObjectList>
          <MultilingualTextItem ID="6" CompositionName="Items">
            <AttributeList>
              <Culture>de-DE</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="7" CompositionName="Items">
            <AttributeList>
              <Culture>en-US</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
          <MultilingualTextItem ID="8" CompositionName="Items">
            <AttributeList>
              <Culture>cs-CZ</Culture>
              <Text />
            </AttributeList>
          </MultilingualTextItem>
        </ObjectList>
      </MultilingualText>
    </ObjectList>
  </SW.Types.PlcStruct>
</Document>